package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ApprovalBean;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class ApprovalAdapter extends BaseQuickAdapter<ApprovalBean.RecordsBean, BaseViewHolder> {

    public ApprovalAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, ApprovalBean.RecordsBean item) {
        helper.setText(R.id.tv_title, item.getFlowName());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getStatus())));
        helper.setText(R.id.tv_time, item.getCreatedTime());
    }
}

